Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1565931

Summary: Screen freezes for a short time and then resumes when using f28
Product: [Fedora] Fedora Reporter: deadrat <jayabharat>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: alexey.brodkin, bitpickx90, fabioacosta, fedora, fmuellner, grzeniek, henry, jadahl, kamilpe, otaylor, philippe.lawrence, rjanik, swt
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-28 23:30:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description deadrat 2018-04-11 05:14:22 UTC
Description of problem:
The screen freezes for about 3 to 5 seconds and then it starts working again. 
It is easily observable when moving the mouse around (or typing something.) 

The cursor stops responding for few seconds and then it starts moving.  

It happens only in GNOME on Wayland, but works fine in Xorg

Version-Release number of selected component (if applicable):
I am using Version 3.28.0 on fedora 28 and it is uptodate. 

( My hardware is Lenovo Z51 laptop.) 


How reproducible:
Always reproducible

Steps to Reproduce:
1. Freshly install Fedora 28 beta
2. Login to Gnome ( on wayland, which is default)
3. Try launching Firefox and navigate through web, or type something in Gedit or similar actions. 

Actual results:
The screen freezes for about 3 to 5 seconds and then it starts working again. 

It you were moving mouse, the cursor gets stuck. 
If you were typing, the key that got stuck would have typed for about 50 times. 

Expected results:
It responds smoothly. 

Additional info:

Comment 1 Grzegorz 2018-05-14 11:36:47 UTC
I have exactly the same issue.

Comment 2 0xbad 2018-05-16 10:17:33 UTC
Same to me, after upgrading to Fedora 28.

GNOME on Xorg works fine as a temporary workaround!

My Hardware is a Dell Latitude E6540 with a Radeon HD 8790M using the 'radeon' driver and disabled SATA LPM.

After the UI get stuck I _always_ get the following repeating pattern in the kernel log:

Mai 16 11:06:31 heisenberg-localdomain kernel: [drm] probing gen 2 caps for device 8086:c01 = 261ad03/e
Mai 16 11:06:31 heisenberg-localdomain kernel: [drm] PCIE gen 3 link speeds already enabled
Mai 16 11:06:31 heisenberg-localdomain kernel: [drm] PCIE GART of 2048M enabled (table at 0x00000000001D6000).
Mai 16 11:06:31 heisenberg-localdomain kernel: radeon 0000:01:00.0: WB enabled
Mai 16 11:06:31 heisenberg-localdomain kernel: radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000080000c00 and cpu addr 0x0000000002c215d3
Mai 16 11:06:31 heisenberg-localdomain kernel: radeon 0000:01:00.0: fence driver on ring 1 use gpu addr 0x0000000080000c04 and cpu addr 0x00000000c6ceda53
Mai 16 11:06:31 heisenberg-localdomain kernel: radeon 0000:01:00.0: fence driver on ring 2 use gpu addr 0x0000000080000c08 and cpu addr 0x00000000ce94ab41
Mai 16 11:06:31 heisenberg-localdomain kernel: radeon 0000:01:00.0: fence driver on ring 3 use gpu addr 0x0000000080000c0c and cpu addr 0x00000000b948be14
Mai 16 11:06:31 heisenberg-localdomain kernel: radeon 0000:01:00.0: fence driver on ring 4 use gpu addr 0x0000000080000c10 and cpu addr 0x00000000fffb6182
Mai 16 11:06:31 heisenberg-localdomain kernel: radeon 0000:01:00.0: fence driver on ring 5 use gpu addr 0x0000000000075a18 and cpu addr 0x0000000006475b5e
Mai 16 11:06:31 heisenberg-localdomain kernel: radeon 0000:01:00.0: failed VCE resume (-110).
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ring test on 0 succeeded in 1 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ring test on 1 succeeded in 1 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ring test on 2 succeeded in 1 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ring test on 3 succeeded in 4 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ring test on 4 succeeded in 3 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ring test on 5 succeeded in 2 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] UVD initialized successfully.
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ib test on ring 0 succeeded in 0 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ib test on ring 1 succeeded in 0 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ib test on ring 2 succeeded in 0 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ib test on ring 3 succeeded in 0 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ib test on ring 4 succeeded in 0 usecs
Mai 16 11:06:32 heisenberg-localdomain kernel: [drm] ib test on ring 5 succeeded


A re-installation of _all_ packages did not solve the issue.

Comment 3 Richard Janík 2018-05-24 10:26:35 UTC
I see there are multiple issues which seem related to this one:
https://bugzilla.redhat.com/show_bug.cgi?id=1563811
https://bugzilla.redhat.com/show_bug.cgi?id=1566240
https://bugzilla.redhat.com/show_bug.cgi?id=1575281

I'm also running into these issues after I updated Fedora 27 to Fedora 28 this morning (using GNOME 3, Wayland as it is the default). My symptoms:

1, Occasional short system freeze (~1s) after input - after I move the mouse pointer, or after I start typing. Doesn't seem related to notifications as said in the first mentioned report. `gnome-shell` always shoots up to the first place in CPU usage in `top` when this freeze happens. Inputs are multiplied during this freeze (a key press is repeated several times) and sound outputs sometimes freeze as well.

2, After locking the screen, and having it locked for some time (more than a minute?) the system sometimes (2 out of 4 times so far) freezes entirely when I unlock the screen. The screen stays frozen after being unlocked and the mouse pointer doesn't move, keyboard doesn't work. Switching between consoles (Ctrl+Alt+F2) doesn't work either, I had to hard restart the system by holding the power button down. No one else reported this, unless I missed it. If you want another bug filed for this, let me know.

I wasn't able to get any backtraces as the system either resumes after a while or the system dies entirely. If you want some logs, let me know. If you need any other help reproducing these issues, please let me know what I need to do and I'll help.

Comment 4 Christian Stadelmann 2018-05-31 10:40:37 UTC
I see this issue too. It happens more often when showing notifications (see bug #1563811) and when opening any URL from my RSS reader (see bug #1575281).

(In reply to Richard Janík from comment #3)
> […]

Thanks for the links! I can reproduce your symptom #1 too.

Comment 5 Kamil Pawlowski 2018-06-07 10:34:56 UTC
I'm using HP ProBook 6740b.

I have the same issue on both Wayland and X.Org.
Freezes when a notification appears, also on occasion in different situations.

Sometimes even whole server was crashing. Really looks like it is some problems with a graphics driver or graphics related component

I have never experiencing such problems before f28 (on my laptop since f24)

Comment 6 Jonas Ådahl 2018-06-07 10:45:26 UTC
Does any of these issues go away with https://copr.fedorainfracloud.org/coprs/jadahl/mutter-hw-cursor-on-demand/build/758884/ ?

Comment 7 Christian Stadelmann 2018-06-09 10:07:04 UTC
(In reply to Jonas Ådahl from comment #6)
> Does any of these issues go away with
> https://copr.fedorainfracloud.org/coprs/jadahl/mutter-hw-cursor-on-demand/
> build/758884/ ?

The freeze after clicking an URL (bug #1575281) does not go away, I still see freezes for several seconds. It may happen less often (I'm not sure about that though).

The freeze when showing a notification is still present but got less worse, i.e. it freezes only for 100…500ms (only noticable if you move your mouse while the notification is shown) instead of several seconds.

I'm using Fedora 28 with GNOME/wayland.

Comment 8 Ben Cotton 2019-05-02 20:05:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 23:30:03 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Philippe Lawrence 2020-06-13 17:56:28 UTC
I have exactly the same issue on fedora 32 and dell latitude 7490. Not always. if it happens, nothing is responding on firefox but mouse is ok. Up to 10 seconds (freeze). After that, page goes normally until i click on next link or button.

Comment 11 Christian Stadelmann 2020-06-19 19:28:39 UTC
(In reply to Philippe Lawrence from comment #10)
> I have exactly the same issue on fedora 32 and dell latitude 7490. Not
> always. if it happens, nothing is responding on firefox but mouse is ok. Up
> to 10 seconds (freeze). After that, page goes normally until i click on next
> link or button.

I have not seen this issue for quite a long time.

Do you see this issue on Wayland sessions only (and not on Xorg sessions)? If yes, can you please try disabling all gnome-shell extensions and check whether the issue goes away?

Do you happen to use USBGuard? Maybe you see something like https://github.com/USBGuard/usbguard/issues/389

Comment 12 Philippe Lawrence 2020-06-19 20:48:21 UTC
Hello
The bug hasn't recurred since I wrote my message. It was pretty frequent. But there have been updates that may have solved the problem. I'll let you know if it happens again.

Comment 13 fabioacosta 2022-06-09 22:58:04 UTC
Hello everybody.

I have the same problem on fedora 36 using wayland. The system freezes between 1-3 seconds. After that everything goes normally and then after a random amount of time the system freezes again for 1-3 seconds.

The inconvenience occurs regardless of whether or not applications are running.

Here I paste the output of the inxi command;


System:
  Host: fedora Kernel: 5.17.12-300.fc36.x86_64 arch: x86_64 bits: 64
    compiler: gcc v: 2.37-27.fc36 Console: pty pts/0
    Distro: Fedora release 36 (Thirty Six)
Machine:
  Type: Desktop Mobo: Intel model: DH55PJ v: AAE93812-303
    serial: BTPJ129003VG BIOS: Intel v: TCIBX10H.86A.0037.2010.0614.1712
    date: 06/14/2010
CPU:
  Info: quad core model: Intel Core i7 870 bits: 64 type: MT MCP
    arch: Nehalem rev: 5 cache: L1: 256 KiB L2: 1024 KiB L3: 8 MiB
  Speed (MHz): avg: 1197 min/max: 1197/2926 cores: 1: 1197 2: 1197 3: 1197
    4: 1197 5: 1197 6: 1197 7: 1197 8: 1197 bogomips: 51736
  Flags: ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
Graphics:
  Device-1: NVIDIA GP107 [GeForce GTX 1050] vendor: eVga.com. driver: nvidia
    v: 510.68.02 arch: Pascal bus-ID: 01:00.0
  Display: server: X.Org v: 1.22.1.2 with: Xwayland v: 22.1.2 driver: X:
    loaded: nvidia unloaded: fbdev,modesetting,nouveau,vesa
    gpu: nvidia,nvidia-nvswitch resolution: 1920x1080~60Hz
  OpenGL: renderer: NVIDIA GeForce GTX 1050/PCIe/SSE2
    v: 4.6.0 NVIDIA 510.68.02 direct render: Yes
Audio:
  Device-1: Intel 5 Series/3400 Series High Definition Audio
    driver: snd_hda_intel v: kernel bus-ID: 00:1b.0
  Device-2: NVIDIA GP107GL High Definition Audio vendor: eVga.com.
    driver: snd_hda_intel v: kernel bus-ID: 01:00.1
  Sound Server-1: ALSA v: k5.17.12-300.fc36.x86_64 running: yes
  Sound Server-2: PulseAudio v: 15.0 running: no
  Sound Server-3: PipeWire v: 0.3.51 running: yes
Network:
  Device-1: Intel 82578DC Gigabit Network driver: e1000e v: kernel port: f020
    bus-ID: 00:19.0
  IF: eno1 state: down mac: 00:22:15:ab:a7:e3
  Device-2: Qualcomm Atheros AR9271 802.11n type: USB driver: ath9k_htc
    bus-ID: 1-1.3:4
  IF: wlp0s26u1u3 state: up mac: c0:4a:00:12:47:7c
Info:
  Processes: 333 Uptime: 1d 3h 50m Memory: 7.69 GiB used: 3.25 GiB (42.3%)
  Init: systemd runlevel: 5 Compilers: gcc: 12.1.1 Packages: 13
  note: see --pkg Shell: Bash v: 5.1.16 inxi: 3.3.16